Standard-Kernel doesn't compile on FC4T3 (GMX) at
Sat May 28 19:09:57 UTC 2005

Arjan van de Ven wrote:

>>>>> In file included from drivers/i2c/algos/i2c-algo-bit.c:31:
>>>>> include/linux/i2c.h:58: error: array type has incomplete element
>>>>> type include/linux/i2c.h:197: error: array type has incomplete
>>>>> element type It's very important that standard-kernel should
>>>>> compile on FC4....
>> If you read the kernel documentation, it specifies what versions of
>> gcc the kernel should compile with. gcc4 isn't specified as one of
>> them. 
> it actually specifies a *minimum* compiler version.

Thanks for this statement, i won't like the idea of having an old
compiler just for building the kernel :)

>> Fedora/Redhat typically (always??) uses the default C compiler, but
>> they also patch the kernel code.
> ... but basically not for compiler stuff. The kernel people (me
> included) try really hard to make the kernel always work well with
> recent gcc's, often before said gcc versions even get officially
> released.  

That's good to hear but it seems to me that at the i2c stuff there is
still some work to be done....


More information about the test mailing list